<div class="login-background">
  <div class="row height-90-p">
    <div class="col-sm col-md-4 offset-md-4 horizontal-center  align-self-center">
      <div class="row">
        <div class="col-sm col-md-8 offset-md-2 horizontal-center  align-self-center">
          <div class="card  card-login card-border">
            <div class="card-header">
              <div class="card-header">
                <h3 class="header text-center">Login</h3>
              </div>
            </div>
            <div class="card-body">
              <form class="form-horizontal"
                    novalidate
                    [formGroup]="loginFormGroup"
                    (submit)="formSubmit()"
              >
                <div>

                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="fas fa fa-user"></i>
                      </span>
                    </div>
                    <input
                      class="form-control"
                      type="text"
                      placeholder="Enter Email"
                      [formControl]="userNameControl"
                      required
                    />
                  </div>
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="fas fa fa-key"></i>
                      </span>
                    </div>
                    <input
                      class="form-control"
                      type="password"
                      placeholder="Enter Password"
                      [formControl]="passwordControl"
                      required
                    />
                  </div>
                </div>
                <div class="col-sm text-center">
                  <button type="submit" [disabled]="loginFormGroup.invalid || alertService.isLoadingInProgress"
                          class="btn btn-primary btn-block btn-round">
                    <span>Login</span>
                  </button>
                  <!--<button mat-raised-button type="button" class="btn btn-default" (click)="goToRegisterPage()">Register-->
                  <!--</button>-->
                </div>
                <br>
                <div class="col-sm text-center">
                  <!--            <a (click)="goToRegisterPage()" class="text-gray show-cursor">-->
                  <!--              <u i18n>Register Merchant</u>-->
                  <!--            </a>-->
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <footer class="height-10-p footer-rearrange footer footer-black  footer-white">
    <div class="container">
      <div class="row">
        <nav class="footer-nav">
          <ul>
            <li>
              <a href="https://www.creative-tim.com" target="_blank">Creative Tim</a>
            </li>
            <li>
              <a href="http://blog.creative-tim.com/" target="_blank">Blog</a>
            </li>
            <li>
              <a href="https://www.creative-tim.com/license" target="_blank">Licenses</a>
            </li>
          </ul>
        </nav>
        <div class="credits ml-auto">
            <span class="copyright">
              &copy; {{currentDate | date: 'yyyy'}}, made with <i class="fa fa-heart heart"></i> by Hussain Murtaza
            </span>
        </div>
      </div>
    </div>
  </footer>
</div>
